
#include <avr/io.h>
#include "bits.h"

void clr_bit (unsigned char b)
{
  unsigned char bv;
  bv = 1 << (b&7);
  b &= ~7;
  switch (b) {
  case PB:PORTB &= ~bv;break;
  case PC:PORTC &= ~bv;break;
  case PD:PORTD &= ~bv;break;
  }
}


void set_bit (unsigned char b)
{
  unsigned char bv;
  bv = 1 << (b&7);
  b &= ~7;
  switch (b) {
  case PB:PORTB |= bv;break;
  case PC:PORTC |= bv;break;
  case PD:PORTD |= bv;break;
  }
}



void make_output (unsigned char b)
{
  unsigned char bv;
  bv = 1 << (b&7);
  b &= ~7;
  switch (b) {
  case PB:DDRB |= bv;break;
  case PC:DDRC |= bv;break;
  case PD:DDRD |= bv;break;
  }
}


void make_input (unsigned char b)
{
  unsigned char bv;
  bv = ~_BV (b&7);
  b &= ~7;
  switch (b) {
  case PB:DDRB &= bv;break;
  case PC:DDRC &= bv;break;
  case PD:DDRD &= bv;break;
  }
}
